## fastdoubleparser 2.0.1

=== debian/changelog ===
fastdoubleparser (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 Apr 2025 10:19:30 +0200

fastdoubleparser (2.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #1088218)

 -- Julien Plissonneau Duquène <sre4ever@free.fr>  Thu, 13 Feb 2025 10:42:39 +0100
