=== debian/control ===
Source: fastdoubleparser
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Julien Plissonneau Duquène <sre4ever@free.fr>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 maven-debian-helper
Build-Depends-Indep:
 libbuild-helper-maven-plugin-java,
 libmaven-antrun-plugin-java,
 libmaven-assembly-plugin-java,
 libmaven-dependency-plugin-java
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/wrandelshofer/FastDoubleParser
Vcs-Git: https://salsa.debian.org/java-team/libfastdoubleparser-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libfastdoubleparser-java

Package: libfastdoubleparser-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${maven:Depends}
Recommends: ${maven:OptionalDepends}
Description: parsers for double, float, BigDecimal and BigInteger values
 This is a Java port of Daniel Lemire's fast_float project.
 .
 This project provides parsers for double, float, BigDecimal and BigInteger
 values. The double and float parsers are optimised for speed for the most
 common inputs. The BigDecimal and BigInteger parsers are optimised for speed
 on all inputs.
 .
 The code in this project contains optimised versions for major Java revisions,
 released in a single multi-release jar, which contains the code for all these
 versions.
 .
 This package contains the Java library.
